| xmonad-contrib-0.9.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Layout.LimitWindows

Portability | unportable
Stability | unstable
Maintainer | vogt.adam@gmail.com

Contents

Usage
Layout Modifiers
Change the number of windows

Description
A layout modifier that limits the number of windows that can be shown. See XMonad.Layout.Minimize for manually setting hidden windows.
Synopsis

limitWindows :: Int -> l a -> ModifiedLayout LimitWindows l a
limitSlice :: Int -> l a -> ModifiedLayout LimitWindows l a
limitSelect :: Int -> Int -> l a -> ModifiedLayout Selection l a
increaseLimit :: X ()
decreaseLimit :: X ()
setLimit :: Int -> X ()

Usage

To use this module, add the following import to `~/.xmonad/xmonad.hs`:

     import XMonad.Layout.LimitWindows

     myLayout = limitWindows 6 $ Tall 1 0.03 0.5 ||| Full ||| RandomOtherLayout...
     main = xmonad defaultConfig { layoutHook = myLayout }

You may also be interested in dynamically changing the number dynamically, by binding keys to the `increaseLimit`, `decreaseLimit`, or `setLimit` actions.

For detailed instructions on editing your key bindings, see XMonad.Doc.Extending.

See also XMonad.Layout.BoringWindows.boringAuto for keybindings that skip the hidden windows.

Layout Modifiers

limitWindows :: Int -> l a -> ModifiedLayout LimitWindows l a | Source

Only display the first `n` windows.

limitSlice :: Int -> l a -> ModifiedLayout LimitWindows l a | Source

Only display `n` windows around the focused window. This makes sense with layouts that arrange windows linearily, like XMonad.Layout.Layout.Accordion.

limitSelect :: Int -> Int -> l a -> ModifiedLayout Selection l a | Source

Only display the first `m` windows and `r` others. The `IncMasterN` message will change `m`, as well as passing it onto the underlying layout.
Change the number of windows

increaseLimit :: X () | Source

decreaseLimit :: X () | Source

setLimit :: Int -> X () | Source

Produced by Haddock version 2.4.2